import Vue from 'vue'
import Router from 'vue-router'



Vue.use(Router)
const router = new Router({
  mode: 'hash', //默认采用hash模式
  routes: [
	  {
	    path: '/',
	    name: 'index',
	    redirect: '/home'
	  }, {
	    path: '/home',
	    name: 'home',
	    component: () => import('../components/HelloWorld.vue')
	  },
	
    {
      path: '/billing',
      name: 'billing',
      component: () => import('../components/billing/billing.vue'),
      meta: {
        title: '销售开单',
      }
    },
	{
	  path: '/orderList',
	  name: 'orderList',
	 component: () => import('../components/order/orderList.vue'),
	},
	{
	  path: '/goodsQuery',
	  name: 'goodsQuery',
	 component: () => import('../components/goods/goodsQuery.vue'),
	},
	{
	  path: '/goodsList',
	  name: 'goodsList',
	 component: () => import('../components/goods/goodsList.vue'),
	}
  ]
})
 
export default router
